# frozen_string_literal: true
module Admin
  class ProfileController < AdminController
    def view
      authorize current_user
    end

    def edit
      @user = current_user
      authorize @user
    end

    def update
      @user = current_user
      authorize @user

      if @user.update_attributes(user_params)
        redirect_to admin_profile_path,
                    flash: { success: "Sucessfully updated profile" }
      else
        flash[:error] = "Failed to update profile."
        render :edit
      end
    end

    private

      def user_params
        params.require(:user).permit(policy(User).permitted_attributes)
      end
  end
end
