# frozen_string_literal: true
class AddCompletedAt < ActiveRecord::Migration[5.0]
  def change
    add_column :candidates, :completed_at, :datetime, after: :completed

    Candidate.reset_column_information
    Candidate.where(completed: true).each do |candidate|
      candidate.completed_at = candidate.updated_at
      candidate.save
    end
  end
end
