# frozen_string_literal: true
require 'test_helper'

class ReviewerReminderTest < ActiveSupport::TestCase
  test "collection is created with four results" do
    reminders = ReviewerReminder.new
    assert_equal 3, reminders.size
  end

  test "each reminder has needed attributes" do
    collection = ReviewerReminder.new

    assert_instance_of String, collection.reminders.first.name
    assert_instance_of String, collection.reminders.first.email
    assert_instance_of String, collection.reminders.first.test_hash
  end

  test "send_all sends emails for each reviewer and test" do
    collection = ReviewerReminder.new

    assert_difference("ActionMailer::Base.deliveries.size", collection.count) do
      collection.send_all
    end
  end
end
